:root{
    --azulmedio: #0a4a6a;
    --azuloscuro:#032b49;
    --celeste: #56b6c9;
    --gris: #a6a6a6;
    --grisoscuro: #545454;
    --celesteclaro: #86fafe;
    --grisclaro: #d9d9d9;
    --blanco: #ffffff;

    --mainfont: 4rem;
}
/* Globales*/
html{
    font-size: 62.5%;
    box-sizing: border-box; /* Hack para box model*/
    scroll-snap-type: y mandatory;
}
*, *:before, *:after {
    box-sizing: inherit;
}
body{
    font-size: 16px; /* 1rem = 16px*/
    font-family: 'Raleway', sans-serif;
    background-image: linear-gradient(to top, var(--grisclaro) 0%, var(--blanco) 100%);
}

/* Scroll Snap*/
.servicios, .nav-principal, .contacto-snap, .footer{
    scroll-snap-align: center;
    scroll-snap-stop: always;
}
.sombra{
    -webkit-box-shadow: 1px 5px 20px 0px rgba(181,181,181,0.54);
    -moz-box-shadow: 1px 5px 20px 0px rgba(181,181,181,0.54);
    box-shadow: 1px 5px 20px 0px rgba(181,181,181,0.54);
    background-color: var(--blanco);
    padding: 2rem;
    border-radius: 1rem;
}
.contenedor{
    max-width: 120rem;
    margin: 0 auto;
    text-align: center;
}
.boton{
    background-color: var(--azulmedio);
    color: var(--grisclaro);
    padding: 1rem 3rem;
    margin-top: 2rem;
    font-size: 2rem;
    text-decoration: none;
    text-transform: uppercase;
    font-weight: bold;
    border-radius: .5rem;
    text-align: center;
    width: 90%;
    border: none;
}
.boton:hover{
    cursor: pointer;
}
@media (min-width: 768px) {
    .boton{
        width: auto;
    }
}
.nav-principal{
     display: flex;
     flex-direction: column;
     
}
@media (min-width: 768px){
    .nav-principal{
        flex-direction: row;
        justify-content: space-between;
    }
}
/*Navegación principal*/
.nav-principal a {
    color: var(--celeste);
    text-decoration: none;
    padding: 1rem 5rem;
}
.nav-principal a:hover {
    background-color: var(--celeste);
    color: var(--azulmedio);
}

.nav-bg{
    background-color: var(--azulmedio);
}
/*Tipogafia*/
h1 {
    color: #56b6c9;
    font-family: 'Roboto', Arial, sans-serif;
    font-size: var(--mainfont);
    font-weight: bold;
    border: 2px solid #032b49;
    text-align: center;
}
h1 span{
    font-size: 2rem;
}
h2 {
    color: var(--celeste);
    text-align: center;
    font-family: 'Montserrat', 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-size: 3rem;
}
h3{
    color: #032b49;
    font-size: 2rem;
}
h1, h2, h3{
    text-align: center;
}
div{
    /*background-color: #f5f5f5;*/
    padding: 0px;
    margin: 0px;
    text-align: center;
}
table{
    border: 1px solid black;
    border-collapse: collapse;
    padding: 5px;
}
td, th {
    border: 1px solid black;
}
#foo{
    color: #0a4a6a;
}
/* Titulos*/

.titulo{
    color: #0a4a6a;
  	font-size: 6rem;
  	font-family: "Playfair Display", serif;
  	font-optical-sizing: auto;
  	font-weight: 700;
  	font-style: normal;
}
.subtitulo{
    color: var(--celeste);
}
.baz {
    color:peru;
}
/* Utilidades*/
.w-sn-100{
    width: 100%;
}
.flex{
    display: flex;
}
.alinear-derecha{
    justify-content: flex-end;
}

@media (min-width: 768px){
    .w-sn-100{
        width: auto;
    }
}

/* Cabecera*/
.banner{
    position:relative;
    background-image: url(../imagenes/banner_nopic.png);
    background-repeat: no-repeat;
    background-size: cover;
    height: 450px;
    padding: 40px;
    margin-bottom: 1rem;

}
.contenido-banner{
    background-color: rgb(0 0 0/ 65%);
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    padding-top: 6rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.contenido-banner h2, .contenido-banner p {
    color: var(--celesteclaro)
}
.ubicacion {
    display: flex;
    align-items: flex-end;
}



/** Servicios**/

@media (min-width:760px){
    .servicios{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    column-gap: 2rem;
    /*grid-template-rows: 200px 800px;*/

    /*grid 200px 800px / 300px 300px;*/
    }
}
.servicio{
    display: flex;
    flex-direction: column;
    align-items: center;
}
.servicio h3{
    color: var(--azulmedio);
    font-weight: 400;
}
.servicio p{
    line-height: 2;
    text-align: center;
}
.servicio .iconos{
    height: 15rem;
    width: 15rem;
    background-color: var(--celeste);
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}
/**Contacto**/
.formulario{
    background-color: var(--grisoscuro);
    width: min(70rem, 100%); /** Utilizar el valor más pequeño entre 60 rem o 100% de ancho de dispositivo **/
    margin: 0 auto;
    padding: 2rem;
    border-radius: 1rem;

}
.formulario fieldset{
    border: none;
}
.formulario legend{
    text-align: center;
    font-size: 2rem;
    /*text-transform: uppercase;*/
    font-weight: 400;
    margin-bottom: 2rem;
    color: var(--celeste);
}
@media (min-width: 768px){
    .contenedor-campos{
        display: grid;
        grid-template-columns: 50% 50%;
        grid-template-rows: auto auto auto;
        column-gap: 1rem;
    }
    .campo:nth-child(1), .campo:nth-child(2), .campo:nth-child(5){
        grid-column: 1 / 3;
    }

}


.campo{
    margin-bottom: 1rem;

}
.campo label{
    color: var(--blanco);
    font-weight: bold;
    margin-bottom: .5rem;
    display: block;
}
.campo textarea{
    height: 20rem;
}
.input-text{
    width: 100%;
    border: none;
    padding: 1.5rem;
    border-radius: .5rem;
}
.footer{
    text-align: center;
}




